# Deprecated API

## Contents

- Packages
- Interfaces
- Classes
- Exceptions

- Packages
  Package | Description
  --- | ---
  org.apache.lucene.replicator.http | use org.apache.lucene.replicator.nrt instead

- Interfaces
  Interface | Description
  --- | ---
  org.apache.lucene.replicator.Replicator | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.Revision | use org.apache.lucene.replicator.nrt instead

- Classes
  Class | Description
  --- | ---
  org.apache.lucene.replicator.http.HttpClientBase | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.http.HttpReplicator | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.http.ReplicationService | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.IndexAndTaxonomyReplicationHandler | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.IndexAndTaxonomyRevision | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.IndexInputInputStream | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.IndexReplicationHandler | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.IndexRevision | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.LocalReplicator | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.PerSessionDirectoryFactory | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.ReplicationClient | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.RevisionFile | use org.apache.lucene.replicator.nrt instead
  org.apache.lucene.replicator.SessionToken | use org.apache.lucene.replicator.nrt instead

- Exceptions
  Exceptions | Description
  --- | ---
  org.apache.lucene.replicator.SessionExpiredException | use org.apache.lucene.replicator.nrt instead